## org.openorb.iiop
Class CDRCodecFactory

    java.lang.Object
      |
      +--org.omg.CORBA.LocalObject
            |
            +--org.openorb.iiop.CDRCodecFactory

All Implemented Interfaces:
  CodecFactory, CodecFactoryOperations, IDLEntity, Object, java.io.Serializable

public class CDRCodecFactory
extends LocalObject
implements CodecFactory

Version:
  $Revision: 1.6 $ $Date: 2002/07/14 19:05:40 $
Author:
  Chris Wood
See Also:
  Serialized Form

Constructor Summary
`CDRCodecFactory(ORB orb)`

Method Summary
`Codec` `create_codec(Encoding enc)` Operation create_codec

Methods inherited from class org.omg.CORBA.LocalObject
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_policy_override, validate_connection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Constructor Detail

### CDRCodecFactory

    public CDRCodecFactory(ORB orb)

Method Detail

### create_codec

    public Codec create_codec(Encoding enc)
                       throws UnknownEncoding

  Description copied from interface: `CodecFactoryOperations`
  Operation create_codec
  Specified by:
    `create_codec` in interface `CodecFactoryOperations`